import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:flutter_smart_dialog/flutter_smart_dialog.dart';

class TLoadingUtils {
  static showLoading({
    String msg = "",
    bool? clickBgDismissTemp,
    bool isPenetrateTemp = false,
    bool backDismiss = false,
  }) {
    return SmartDialog.showLoading(
      clickMaskDismiss: clickBgDismissTemp,
      usePenetrate: isPenetrateTemp,
      backDismiss: backDismiss,
      builder: (context) {
        return Container(
          padding: EdgeInsets.symmetric(horizontal: 30.w, vertical: 20.h),
          decoration: BoxDecoration(
            color: Colors.black,
            borderRadius: BorderRadius.circular(15.r),
          ),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            children: [
              CircularProgressIndicator(
                strokeWidth: 3.w,
                valueColor: const AlwaysStoppedAnimation(Colors.white),
              ),
              Offstage(
                offstage: msg.isEmpty,
                child: Container(
                  margin: EdgeInsets.only(top: 20.h),
                  child: Text(msg, style: const TextStyle(color: Colors.white)),
                ),
              ),
            ],
          ),
        );
      },
    );
  }

  static dismiss() {
    return SmartDialog.dismiss();
  }

  static showToast(String msg, [Duration displayTime = const Duration(milliseconds: 2000)]) {
    return SmartDialog.showToast(msg, alignment: Alignment.center, displayTime: displayTime);
  }
}
