import 'dart:io';
import 'package:path/path.dart';

class Utils {
  static bool haveNewVersion(String newVersion, String old) {
    if (newVersion.isEmpty || old.isEmpty) {
      return false;
    }
    int newVersionInt, oldVersion;
    var newList = newVersion.split('.');
    var oldList = old.split('.');
    if (newList.isEmpty || oldList.isEmpty) {
      return false;
    }
    for (int i = 0; i < newList.length; i++) {
      newVersionInt = int.parse(newList[i]);
      oldVersion = int.parse(oldList[i]);
      if (newVersionInt > oldVersion) {
        return true;
      } else if (newVersionInt < oldVersion) {
        return false;
      }
    }

    return false;
  }

  static String getFileName(String url) {
    String p = File(url).path;
    String bNoExtension = basenameWithoutExtension(p);
    String ext = extension(p);
    try{
      return Uri.decodeComponent(bNoExtension) + ext;
    }catch(error) {
      return url;
    }
  }

  static bool get isRelease => const bool.fromEnvironment("dart.vm.product");
}
