import 'package:flutter/material.dart';

mixin ProcessStateMixin <T extends StatefulWidget> on State<T> {
  int _processIndex = 0;

  void initProcessIndex(int index) {
    _processIndex = index;
  }

  void nextProcessIndex([int setIndex = -1]) {
    if (mounted) {
      setState(() {
        if(setIndex != -1) {
          _processIndex = setIndex;
        } else {
          _processIndex++;
        }
      });
    }
  }

  void prevProcessIndex([int setIndex = -1]) {
    if (mounted) {
      setState(() {
        if(setIndex != -1) {
          _processIndex = setIndex;
        } else {
          _processIndex--;
        }
      });
    }
  }

  int get processIndex {
    return _processIndex;
  }
}