// ignore_for_file: prefer_const_constructors

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class TLBottomNavigationBar extends BottomNavigationBar {
  TLBottomNavigationBar({
    Key? key,
    required List<BottomNavigationBarItem> items,
    int currentIndex = 0,
    ValueChanged<int>? onTap,
  }) : super(
          key: key,
          items: items,
          currentIndex: currentIndex,
          onTap: onTap,
          type: BottomNavigationBarType.fixed,
          unselectedLabelStyle: TextStyle(color: Color(0xFF646566), fontSize: 12.sp, fontWeight: FontWeight.w400),
          selectedLabelStyle: TextStyle(color: Color(0xFF1989FA), fontSize: 12.sp, fontWeight: FontWeight.w400),
          fixedColor: const Color(0xFF1989FA),
          backgroundColor: Colors.white,
        );

  static List<BottomNavigationBarItem> myTabItems(List<Map> tabDatas) {
    List<BottomNavigationBarItem> _myTabItems = [];
    for (int i = 0; i < tabDatas.length; i++) {
      _myTabItems.add(BottomNavigationBarItem(
          label: tabDatas[i]['text'] as String,
          icon: Image(
            image: AssetImage((tabDatas[i]['icon'] as String)),
          ),
          activeIcon: Image(
            image: AssetImage((tabDatas[i]['activeIcon'] as String)),
          )));
    }
    return _myTabItems;
  }
}
