import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:tengits_common/utils/src/image_utils.dart';

class UpDownChartFlag extends StatelessWidget {
  const UpDownChartFlag({Key? key, 
  required this.title, 
  required this.money, 
  this.rigntIcon = false, 
  this.onTap, 
  this.fontFamily = "dinFont",
  this.width = 155,
  this.height = 75,
  this.padding = const EdgeInsets.all(12)
  }) : super(key: key);

  final String title;
  final String money;
  final bool rigntIcon;
  final GestureTapCallback? onTap;
  final String fontFamily;
  final double width;
  final double height;
  final EdgeInsets padding;

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: BoxConstraints.tightFor(width: width.w, height: height.h),
      padding: padding,
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(4.r),
        color: const Color(0xffF7F8FA),
      ),
      child: Column(
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(title, style: TextStyle(color: const Color(0xff646566), fontSize: 13.sp)),
              Visibility(
                visible: rigntIcon,
                child: InkWell(
                  onTap: onTap,
                  child: Padding(
                    padding: EdgeInsets.only(left: 2.w),
                    child: Image(
                      image: ImageUtils.getAssetImage("assets/images/doubt.png", package: "tengits_common"),
                      width: 10.5.w,
                      height: 10.5.h,
                      fit: BoxFit.fill,
                    ),
                  ),
                ),
              )
            ],
          ),
          SizedBox(height: 8.h),
          Text(money, style: TextStyle(color: const Color(0xff323233), fontSize: 20.sp, fontFamily: fontFamily, fontWeight: FontWeight.w500)),
        ],
      ),
    );
  }
}
