import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'scrollView.dart';
import 'textFlag.dart';

class TLTextFlagDrawer extends StatefulWidget {
  const TLTextFlagDrawer({
    Key? key,
    required this.title,
    required this.children,
    this.bottomWidget,
  }) : super(key: key);

  @override
  State<TLTextFlagDrawer> createState() => _TLTextFlagDrawerState();

  final String title;
  final List<Widget> children;
  final Widget? bottomWidget;
}

class _TLTextFlagDrawerState extends State<TLTextFlagDrawer> {
  //

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 300.w,
      height: double.infinity,
      padding: EdgeInsets.only(
        top: MediaQuery.of(context).padding.top,
        bottom: MediaQuery.of(context).padding.bottom,
      ),
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.horizontal(left: Radius.circular(8.r)),
      ),
      child: TLContentContainer(
        topWidget: Padding(
          padding: EdgeInsets.only(bottom: 20.h),
          child: TextFlag(
            title: widget.title,
            style: TextStyle(
              color: Colors.black,
              fontSize: 24.sp,
              fontWeight: FontWeight.w500,
            ),
            imageWidth: 12.w,
            imageHeight: 40.h,
          ),
        ),
        contentWidget: Column(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: widget.children,
        ),
        bottomWidget: widget.bottomWidget,
      ),
    );
  }
}