import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

class Indicator extends StatelessWidget {
  final Color color;
  final String? text;
  final Widget? label;
  final bool isSquare;
  final double? size;
  final Color textColor;

  const Indicator({
    Key? key,
    required this.color,
    this.text,
    required this.isSquare,
    this.size,
    this.textColor = const Color(0xff505050),
    this.label,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: MainAxisSize.min,
      children: <Widget>[
        Container(
          width: size ?? 12.r,
          height: size ?? 12.r,
          decoration: BoxDecoration(
            shape: isSquare ? BoxShape.rectangle : BoxShape.circle,
            color: color,
            borderRadius: BorderRadius.circular(2),
          ),
        ),
        SizedBox(
          width: 4.w,
        ),
        if (text != null && text!.isNotEmpty)
          Text(
            text ?? "",
            style: TextStyle(
              color: textColor,
              fontSize: 16.sp,
              fontWeight: FontWeight.bold,
            ),
          ),
        if (label != null) label as Widget
      ],
    );
  }
}
