import 'package:flutter/material.dart';

class TextLabel extends StatelessWidget {
  const TextLabel(
      {Key? key,
      required this.title,
      this.height = 17,
      this.radius = 2,
      this.bgColor = const Color(0xffE6F2FE),
      this.padding = const EdgeInsets.symmetric(horizontal: 4, vertical: 0),
      this.maxLines = 1,
      this.textStyle = const TextStyle(color: Color(0xff5DACFB), fontSize: 12, height: 1.3),
      this.border,
      this.decoration,
      this.onTap})
      : super(key: key);
  final String title;
  final double height;
  final double radius;
  final EdgeInsets padding;
  final Color bgColor;
  final int maxLines;
  final TextStyle textStyle;
  final Function()? onTap;
  final Border? border;
  final BoxDecoration? decoration;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: Ink(
        child: Container(
          constraints: BoxConstraints.tightFor(height: height),
          padding: padding,
          decoration: decoration ?? BoxDecoration(borderRadius: BorderRadius.circular(radius), border: border, color: bgColor),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                title,
                maxLines: maxLines,
                overflow: TextOverflow.ellipsis,
                style: textStyle,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
